UpdateRouterOutput
Updates the configuration of an existing router output in AWS Elemental MediaConnect.
Request Syntax
PUT /v1/routerOutput/arn HTTP/1.1
Content-type: application/json
{
"configuration": { ... },
"fabricConfiguration": {
"recoveryLatencyMode": "string"
},
"maintenanceConfiguration": { ... },
"maximumBitrate": number,
"name": "string",
"routingScope": "string",
"tier": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- arn
-
The Amazon Resource Name (ARN) of the router output that you want to update.
Pattern:
arn:(aws[a-zA-Z-]*):mediaconnect:[a-z0-9-]+:[0-9]{12}:routerOutput:[a-z0-9]{12}Required: Yes
Request Body
The request accepts the following data in JSON format.
- configuration
-
The updated configuration settings for the router output. Changing the type of the configuration is not supported.
Type: RouterOutputConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
- fabricConfiguration
-
The updated fabric configuration settings for the router output. You cannot update the fabric configuration while the output has an active route. You must unroute the output before updating the fabric configuration.
Type: FabricConfiguration object
Required: No
- maintenanceConfiguration
-
The updated maintenance configuration settings for the router output, including any changes to preferred maintenance windows and schedules.
Type: MaintenanceConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
- maximumBitrate
-
The updated maximum bitrate for the router output.
Type: Long
Required: No
- name
-
The updated name for the router output.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Required: No
- routingScope
-
Specifies whether the router output can take inputs that are in different Regions. REGIONAL (default) - can only take inputs from same Region. GLOBAL - can take inputs from any Region.
Type: String
Valid Values:
REGIONAL | GLOBALRequired: No
- tier
-
The updated tier level for the router output.
Type: String
Valid Values:
OUTPUT_100 | OUTPUT_50 | OUTPUT_20Required: No
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"routerOutput": {
"arn": "string",
"availabilityZone": "string",
"configuration": { ... },
"createdAt": "string",
"fabricConfiguration": {
"recoveryLatencyMode": "string"
},
"id": "string",
"ipAddress": "string",
"maintenanceConfiguration": { ... },
"maintenanceSchedule": { ... },
"maintenanceScheduleType": "string",
"maintenanceType": "string",
"maximumBitrate": number,
"messages": [
{
"code": "string",
"message": "string"
}
],
"name": "string",
"outputType": "string",
"regionName": "string",
"routedInputArn": "string",
"routedState": "string",
"routingScope": "string",
"state": "string",
"streamDetails": { ... },
"tags": {
"string" : "string"
},
"tier": "string",
"updatedAt": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
- routerOutput
-
The updated router output.
Type: RouterOutput object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- BadRequestException
-
This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.
HTTP Status Code: 400
- ConflictException
-
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.
HTTP Status Code: 409
- ForbiddenException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerErrorException
-
The server encountered an internal error and is unable to complete the request.
HTTP Status Code: 500
- NotFoundException
-
One or more of the resources in the request does not exist in the system.
HTTP Status Code: 404
- ServiceUnavailableException
-
The service is currently unavailable or busy.
HTTP Status Code: 503
- TooManyRequestsException
-
The request was denied due to request throttling.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: